curl --request GET \
--url https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}import requests
url = "https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}Get a team member profile
Get a team member profile. you can always get your own profile by setting me as the user_id in the path parameters on the client. If you want to get someone else’s profile in a team, you need to have the $read_members permission in that team.
Path Parameters
The ID of the user, or the special value me for the currently authenticated user
"3241a285-8329-4d69-8f3d-316e08cf140c"
Response
Successful response
The unique identifier of the team
"ad962777-8244-496a-b6a2-e0c6a449c79e"
The unique identifier of the user
"3241a285-8329-4d69-8f3d-316e08cf140c"
Human-readable team member display name. This is not a unique identifier. Note that this is separate from the display_name of the user.
null "John Doe"
URL of the profile image for team member. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.
null "https://example.com/image.jpg"